package com.inspect.job.mapper;

import com.inspect.job.domain.task.EqpBookChannel;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface PatrolDeviceStateMapper {
    void initData();

    List<HashMap<String, Object>> queryData();

    String queryStationCode();

    void initDataInfo();

    List<EqpBookChannel> selectEqpBookChannel();

    void updateEqpBookChannel(EqpBookChannel eqpBookChannel);
    Map<String, String> selectPatrolPresetParam(Long pointId);
}
